textures/ulbrace3/sky
{
	qer_editorImage textures/ulbrace3/sub/desert_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 .95 .977 300 200 50 3 16
	q3map_lightmapfilterradius 0 8
	q3map_skylight 180 6 
	nopicmip
	skyparms textures/ulbrace3/sub/desert - -
}


textures/ulbrace3/icy
{
	qer_trans 0.80
	qer_editorimage textures/ulbrace3/sub/ice.tga

	q3map_surfacelight 384
	q3map_lightsubdivide 64
		
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256

	{
		map textures/ulbrace3/sub/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ulbrace3/sub/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/ulbrace3/water
{
	qer_editorimage textures/ulbrace3/sub/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	
	q3map_lightRGB 0.878874 0.983185 1
    q3map_surfacelight 320
    q3map_backSplash 2 50
    q3map_lightSubdivide 64
	
	deformVertexes wave 64 sin .5 .5 0 .5
	{
		map textures/ulbrace3/sub/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/ulbrace3/sub/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/ulbrace3/sub/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}


textures/ulbrace3/grass_models
{
	qer_editorimage textures/ulbrace3/sub/qe_grass_models.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.7 )
	
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeAngle 120
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage02.md3		192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage03.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage04.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage05.md3		320 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage06.md3		384 .8 1 2 0 359 1

	{
		// Secondary
		map textures/foliages/terrain_grass.tga
		rgbGen identity
	}
		{
		// Primary
		map textures/foliages/terrain_dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ulbrace3/grass_nomodels
{
	qer_editorimage textures/ulbrace3/sub/qe_grass_nomodels.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.7 )
	
	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeAngle 120

	{
		// Secondary
		map textures/foliages/terrain_grass.tga
		rgbGen identity
	}
		{
		// Primary
		map textures/foliages/terrain_dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ulbrace3/grate1a
{
	qer_editorimage textures/egyptsoc_floor/grate1a.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/egyptsoc_floor/grate1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ulbrace3/lig_064-05b1-2k
{
	qer_editorimage textures/egyptsoc_sfx/lig_064-05b1.tga
	q3map_lightimage textures/egyptsoc_sfx/lig_064-05b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/egyptsoc_sfx/lig_064-05b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/egyptsoc_sfx/lig_064-05b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ulbrace3/acid_lm
{
	qer_editorimage textures/ulbrace3/sub/acid.tga
	qer_trans .75
	q3map_lightimage textures/ulbrace3/sub/acid.tga
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans  

	q3map_surfacelight 500
		
	q3map_lightRGB 0.694 0.988 0.012
	q3map_backSplash 5 15
		
	tessSize 32
	cull disable
	deformVertexes wave 30 sin 0 3 0 .3
	deformVertexes normal .1 .15
	{
		map textures/ulbrace3/sub/envmap2.tga
		blendfunc GL_ONE GL_ONE
		tcGen environment
	}
	{
		map textures/ulbrace3/sub/bubbles.tga
		blendfunc add
		tcgen environment
		rgbgen wave sin .5 0 0 0
		tcmod scale 0.75 0.75
		tcMod scroll .01 .01
	}
	{ 
		map textures/ulbrace3/sub/pool3d_3e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map textures/ulbrace3/sub/acid.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .7 .7
		tcMod scroll .001 .001
	}
}

textures/ulbrace3/ter_gravelmud
{
	qer_editorimage textures/ulbrace3/sub/ter_gravelmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/ulbrace3/sub/ter_gravel1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/ulbrace3/sub/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

